Bug 970971 - [ovirt][engine][setup] engine-setup fails to complete with FQDN resolution error if IP is assigned to a VLAN interface
Summary: [ovirt][engine][setup] engine-setup fails to complete with FQDN resolution er...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-config (Show other bugs)
(Show other bugs)
Version: 3.2
Hardware: x86_64 Linux
urgent
low
Target Milestone: ---
: 3.3
Assignee: Alex Lourie
QA Contact:
URL:
Whiteboard: integration
Keywords:
Depends On:
Blocks: 994998
TreeView+ depends on / blocked
 
Reported: 2013-06-05 11:13 UTC by Deniz Uzun
Modified: 2013-09-23 07:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 994998 (view as bug list)
Environment:
Last Closed: 2013-09-23 07:31:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16115 None None None Never

Description Deniz Uzun 2013-06-05 11:13:00 UTC
Description of problem:
During initial installation engine-setup fails to complete with FQDN resolution error if IP is assigned to a VLAN tagged interface (eth0.2000 instead of eth0)

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.2.2-1.1.el6 on Centos 6.4

How reproducible:


Steps to Reproduce:
1. Install Centos 6.4 Basic Server Package Selection /w EPEL repository added
1a. (Optional) Install dnsmasq to make sure FQDN of server is resolvable from name to IP and IP to name (using dig and dig -x)
2. Install oVirt using steps in http://www.ovirt.org/Download (using ovirt-release-el.noarch.rpm instead of fedora rpm)
3. Run engine-setup it will fail at step where FQDN is entered

Actual results:
engine-setup fails to complete with following message: Exception: Error while trying to read parameter HOST_FQDN from user.

Expected results:
Validator script /usr/share/ovirt-engine/scripts/engine_validators.py should be able to properly parse IP information even if interface is defined with vlan tagging.

Workaround:
Dynamically add IP of eth0.2000 to eth0 with a 32 bit netmask will enable successful parsing and setup completes

Additional info:

2013-06-05 12:39:28::INFO::engine_validators::217::root:: validating wvm111.netas.lab.ovirt.org as a valid domain string
2013-06-05 12:39:28::DEBUG::common_utils::434::root:: Executing command --> '/sbin/ip addr'
2013-06-05 12:39:28::DEBUG::common_utils::472::root:: output = 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:22:fb:d3 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::5054:ff:fe22:fbd3/64 scope link
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 52:54:00:d3:96:59 brd ff:ff:ff:ff:ff:ff
6: eth0.2000@eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UP
    link/ether 52:54:00:22:fb:d3 brd ff:ff:ff:ff:ff:ff
    inet 10.10.10.111/24 brd 10.10.10.255 scope global eth0.2000
    inet6 fe80::5054:ff:fe22:fbd3/64 scope link
       valid_lft forever preferred_lft forever

2013-06-05 12:39:28::DEBUG::common_utils::473::root:: stderr =
2013-06-05 12:39:28::DEBUG::common_utils::474::root:: retcode = 0
2013-06-05 12:39:28::ERROR::engine_validators::321::root:: Could not find any configured IP address on the host
2013-06-05 12:39:28::ERROR::engine_validators::384::root:: Traceback (most recent call last):
  File "/usr/share/ovirt-engine/scripts/engine_validators.py", line 322, in validateFQDN
    raise Exception(output_messages.ERR_EXP_CANT_FIND_IP)
Exception: Could not find any configured IP address

2013-06-05 12:39:28::ERROR::engine-setup::632::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 605, in _getInputFromUser
    if param.getKey("VALIDATION_FUNC")(userInput, param.getKey("OPTION_LIST")):
  File "/usr/share/ovirt-engine/scripts/engine_validators.py", line 322, in validateFQDN
    raise Exception(output_messages.ERR_EXP_CANT_FIND_IP)
Exception: Could not find any configured IP address

2013-06-05 12:39:28::ERROR::engine-setup::1649::root:: Traceback (most recent call last):
  File "/usr/bin/engine-setup", line 1618, in _handleInteractiveParams
    input_param(param)
  File "/usr/bin/engine-setup", line 659, in input_param
    _getInputFromUser(param)
  File "/usr/bin/engine-setup", line 633, in _getInputFromUser
    raise Exception(output_messages.ERR_EXP_READ_INPUT_PARAM % (param.getKey("CONF_NAME")))
Exception: Error while trying to read parameter HOST_FQDN from user.

Comment 1 Alex Lourie 2013-06-26 13:31:47 UTC
@Denis

Would you mind testing the patch manually? If you do, I'll send you instructions.

Thanks.

Comment 2 Deniz Uzun 2013-06-26 13:39:29 UTC
@Alex,

Sure can try, just send me the instructions.

Cheers,
Deniz

Comment 3 Alex Lourie 2013-07-02 08:53:06 UTC
@Deniz

Patch was merged into master branch couple of days ago, so to try it out you could do:

1. Try installing nightly 3.3 or;
2. Compile it on your own.

You can catch us on IRC (#ovirt) if you have more questions.

Comment 4 Itamar Heim 2013-08-21 16:39:53 UTC
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)

Comment 5 Itamar Heim 2013-09-23 07:31:19 UTC
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)


Note You need to log in before you can comment on or make changes to this bug.